# RPM spec file for BomberInstinct

Summary: Kill the other players with bombs that throw flames
Name: BomberInstinct
Version: 0.8.8
Release: 1mdk
License: GPL
Group: Games/Arcade
Source: %{name}-%{version}.tar.bz2
Source1: %{name}-48.png.bz2
Source2: %{name}-32.png.bz2
Source3: %{name}-16.png.bz2
URL: http://www.bomberinstinct.org/index_en.html
Prefix: %_prefix
BuildRoot: %_tmppath/%{name}-%{version}-%{release}-root
BuildRequires: libSDL-devel >= 1.2.0, libSDL_mixer-devel >= 1.2.0

%description
BomberInstinct is part like Bomberman, because you must kill
the other players with bombs that throw flames vertically and
horizontally, but it's much more strategical because you have to
do with the elements of a maze (arrows, tunnels, teleportations,
and many more...), and with the special powers of each character.
(multiplayer on one computer only)

%prep
%setup -q

%build
%configure
%make CXXFLAGS="-DNDEBUG %optflags"

%install
rm -fR $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT{%{_menudir},%{_liconsdir},%{_iconsdir},%{_miconsdir}}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):\
needs="x11"\
section="Amusement/Arcade"\
title="%name"\
longtitle="Bomberman clone"\
command="bi"\
icon="%name.png"
EOF
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/%name.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%name.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%name.png

%post
%{update_menus}
%postun
%{clean_menus}

%clean
rm -fR $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog LISEZMOI LISEZMOI.Nived README README.Nived  
%doc docs/*.html docs/img scenario.txt 
%{_bindir}/bi
%{_bindir}/nived
%{_datadir}/BomberInstinct
%{_iconsdir}/%name.png
%{_iconsdir}/mini/%name.png
%{_liconsdir}/%name.png
%{_menudir}/%name

%changelog
* Tue Feb 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- adapt package for Mandrake
